Summary:	Simple mail statistics for Postfix
Name:		mailgraph
Version:	0.21
Release:	1.5.5
License:	GPL
Group:		Applications/Networking
Source0:	http://people.ee.ethz.ch/~dws/software/mailgraph/pub/%{name}-%{version}.tar.gz
Source1:	mailgraphd.init-gd3
Patch0:		mailgraph.pl-gd4.diff
Patch1:		mailgraph.cgi-gd4.diff
Patch3:		mailgraph-cleanup-fixes.rwm
URL:		http://people.ee.ethz.ch/~dws/software/mailgraph/
Requires:	postfix, apache >= 1.2.7, rrdtool
Provides:	mailgraph
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Mailgraph is a very simple mail statistics RRDtool frontend for
Postfix that produces daily, weekly, monthly and yearly graphs of
received/sent,bounced/rejected, viruses and spam 

%prep
%setup	-q
%patch0 -p1
%patch1 -p1
## %patch2 -p1
%patch3 -p0

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/home/httpd/cgi-bin
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/system/rrd/data/tmp

install mailgraph.cgi $RPM_BUILD_ROOT/home/httpd/cgi-bin/mailgraph.cgi
install mailgraph.pl $RPM_BUILD_ROOT%{_sbindir}/mailgraph.pl

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}d


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(640,root,root)
%attr(750,root,root) %{_sbindir}/mailgraph.pl
%attr(750,root,webd) /home/httpd/cgi-bin/mailgraph.cgi
%attr(700,root,root) /etc/init.d/mailgraphd
%attr(770,root,webd) /home/httpd/html/system/rrd
%doc README COPYING CHANGES

%changelog
* Tue Oct 28 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 0.21, Release 1.5.5
  - Added Bayes performance graphing cgi patch

* Thu Jun 12 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 0.21, Release 1.5.3
  - Stopped multiple mailgraph.pl from being started
  - Added "startup succeeded" loggin to syslog

* Mon May 19 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 0.21, Release 1.5.2
  - Patched for dual instance graphing

* Mon May 19 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.21, Release 1.5.1
  - Killed overused of %{name} macro in headers.
  - Added 'status' target to initscript.

* Mon Feb 24 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Wed Jan 29 2003 Pete O'Hara <pete@guardiandigital.com>
- Version 0.21, Release 1.2.8
  - now runs as daemon
  - added an init script and removed cron.d/mailgraph

* Mon Jan 20 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.21, Release 1.2.7
  - Remove comments from /etc/cron.d/mailgraph.

* Mon Nov 11 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 0.21, Release 1.2.6
  - added rrdtool requirement

* Thu Nov 07 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 0.21, Release 1.2.5
  - color tweaks to graphs

* Wed Nov 06 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 0.21, Release 1.2.4
  - updated graphing to display top 6 viruses

* Fri Oct 25 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 0.21, Release 1.2.3
  - /etc/cron.d/mailgraph - changed to have graph 
      generation off by default

* Mon Sep 23 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 0.21, Release 1.2.2
  - changed /etc/cron.d/mailgraph to run once/30min

* Thu Sep 05 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 0.21, Release 1.2.1
  - changed log file to parse to /var/log/mail.log
  - changed the default to run once/hr

* Wed Sep 04 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 0.21, Release 1.2.0
  - Initial release for Mail Suite
